
Redmine - Defect #8476

FF, Opera And Redmine 1.2.0

2011-05-31 14:40 - Petr Pospisil

Status: Closed Start date: 2011-05-31

Priority: High Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

Every page is served in plain-text content type instead of text/html. Affected are only combination with Mongrel and Apache.

History

#1 - 2011-05-31 15:14 - Etienne Massip

Guess it's either an Apache misconfiguration or related to Mongrel compatibility issues with Rails 2.3.11, see RedmineInstall I just updated.

#2 - 2011-05-31 15:22 - Petr Pospisil

Thx for update. I will try it.

It is possible to include this patch to Redmine?

#3 - 2011-05-31 17:24 - Etienne Massip

Petr Pospisil wrote:

It is possible to include this patch to Redmine?

 I guess not, #7688 has already been closed as "Won't fix", meaning (as stated earlier on by JPL in #3892) that it's not Redmine responsibility to fix

Mongrel issues.

#4 - 2011-06-03 09:29 - Oleg Agafonov

Etienne Massip, it's possible to add a special file "mongrel.rb" to "config/initializers" dir. More info in #7688

#5 - 2011-06-03 09:45 - Etienne Massip

Yes, I'm the author of the original comment of #7688.

It's not only possible, it's mandatory if you want to run Redmine 1.2.0 / Rails 2.3.11 with Mongrel.

#6 - 2013-06-25 13:07 - Petr Pospisil

- Status changed from New to Resolved

#7 - 2013-06-25 14:50 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
